Package Details: plowshare-git 2.1.2.r1.gba40e46-1

Git Clone URL: https://aur.archlinux.org/plowshare-git.git (read-only)
Package Base: plowshare-git
Description: Command-line downloader and uploader for Rapidshare, Mediafire and other file sharing websites.
Upstream URL: https://github.com/mcrapet/plowshare
Licenses: GPL3
Conflicts: plowshare
Provides: plowshare
Replaces: plowshare-svn
Submitter: speps
Maintainer: Reihar
Last Packager: Reihar
Votes: 28
Popularity: 0.031211
First Submitted: 2011-08-16 20:10
Last Updated: 2015-09-17 17:58

Dependencies (8)

Required by (1)

Sources (1)

Latest Comments

sekret commented on 2015-05-07 19:05

I'd say now it depends on git because of how plowmod!

Reihar commented on 2015-04-03 16:41

The repository moved:
https://github.com/mcrapet/plowshare

A few changes have been introduced, including plugin management by the user using a new command: plowmod. It changes a few things so I recommend uninstalling, cleaning a bit and install the new version.

Here is an updated PKGBUILD: http://sprunge.us/iKKI

Reihar commented on 2015-04-03 16:30

The repository moved:
https://github.com/mcrapet/plowshare

A few changes have been introduced, including plugin management by the user using a new command: plowmod.

wilds commented on 2014-12-11 17:08

Fails to build currently.

hepha commented on 2014-09-29 10:36

if use zsh can add plowdown plowup to zsh completion
Issue 960 - plowshare - zsh completion: initial work
https://code.google.com/p/plowshare/issues/detail?id=960

download _plowup _plowdown save to /usr/share/zsh/functions/Completion/Zsh

but _plowdown will edit
{-o,--output-directory'
to
{-o,--output-directory}'

sekret commented on 2014-03-18 08:30

Hey dude, you should update the package. It now needs another package function, because the setup.sh script was deleted. Here's the new package function.

package() {
cd "$pkgname"
DESTDIR="$pkgdir/" PREFIX=/usr make install
DESTDIR="$pkgdir/" PREFIX=/usr make patch_bash_completion
}

sekret commented on 2014-03-04 07:48

Instead of commenting this line out you could / should replace it with

install -Dm644 scripts/plowshare.completion \

Alister.Hood commented on 2014-03-04 01:17

I got a packaging error, so I commented out the offending lines:

install: cannot stat ‘etc/plowshare.completion’: No such file or directory

speps commented on 2014-01-25 17:53

Updated to 0.9.4.r2602.94696d1-1
I opted for using latest versioned release as base (0.9.4), hoping future versioned releases will continue from that point.

vorbote commented on 2013-08-26 01:27

An alternative: If you want to use the date of last commit as package version, you can use something like

echo "$(git log -1 --pretty=%ai --date=iso HEAD | awk '{print $1}' | sed s/\-/
/g)"

or the much shorter

git log -1 --format="%cd" --date=short | sed 's/-//g'

(add .g%h for the commit 8 digit hex id to the format string).

All comments